### Method

# Gtk Builder value_from_string_type

#### Declaration [src]

    gboolean
    gtk_builder_value_from_string_type (
      GtkBuilder* builder,
      GType type,
      const char* string,
      GValue* value,
      GError** error
    )

#### Description [src]

Demarshals a value from a string.

Unlike gtk_builder_value_from_string(), this function takes a `GType` instead of `GParamSpec`.

Calls g_value_init() on the `value` argument, so it need not be initialised beforehand.

Upon errors `FALSE` will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR` domain.

#### Parameters

`type` | `GType`
| The `GType` of the value.
`string` | `const char*`
| The string representation of the value.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`value` | `GValue*`
| The `GValue` to store the result in.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.